/*
Copyright (c) 2012, David Liu
All rights reserved. Read the license for more information.
*/

/* Definitions */
/*SOCKET ClientSocket;
sockaddr_in SockAddr;
fd_set ConnectData;
timeval ConnectTime;
#define DEFAULT_PORT 20000
#define PROTOCOL "00"
#define TIMEOUT_TIME 600
#define TIMEOUT_FRAME 5
#define MSGBUF_SIZE 30*/

/* Structures */
struct
{
	unsigned short servers;
	unsigned short*curplayers;
	char**port;
	char**msg;
	char**IP;
}masterpack;

/* Functions */
#if defined(COS_WIN32)
bool CEngine::CEnableSockets()
{
	// Variables
	WSADATA wsadata;
	masterpack.msg=NULL;
	// Init
	if (WSAStartup(MAKEWORD(2,2),&wsadata)!=0)
	{
		CMsgBox("Unable to set up winsock. Program will now close.","Error");
		return false;
	}
	return true;
}
#elif defined(COS_LINUX)
bool CEngine::CEnableSockets()
{
    masterpack.msg=NULL;
	return true;
}
#endif
